package at.acdp.urweb.open;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

import at.acdp.urweb.pickorplace.Style;
import com.ur.urcap.api.contribution.ContributionProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeView;

public class GripperOpenProgramNodeView implements SwingProgramNodeView<GripperOpenProgramNodeContribution> {

	private final Style style;

	GripperOpenProgramNodeView(Style style) {
		this.style = style;
	}

	@Override
	public void buildUI(JPanel panel, ContributionProvider<GripperOpenProgramNodeContribution> provider) {
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
		panel.add(style.createVerticalSpacing());
		panel.add(style.createInfo("Opening of the gripper is specified in this subtree."));
	}
}
