package at.acdp.urweb;

import at.acdp.urweb.close.GripperCloseProgramNodeService;
import at.acdp.urweb.open.GripperOpenProgramNodeService;
import at.acdp.urweb.pickorplace.PickOrPlaceProgramNodeService;
import at.acdp.urweb.web.WebServer;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;

public class Activator implements BundleActivator {

	@Override
	public void start(final BundleContext context) throws Exception {
		context.registerService(SwingProgramNodeService.class, new PickOrPlaceProgramNodeService(), null);
		context.registerService(SwingProgramNodeService.class, new GripperOpenProgramNodeService(), null);
		context.registerService(SwingProgramNodeService.class, new GripperCloseProgramNodeService(), null);
		new WebServer().start();
	}

	@Override
	public void stop(BundleContext context) throws Exception {

	}

}
